diff -urp gtktalog-1.0rc2/configure gtktalog-1.0rc2-cygwin/configure
--- gtktalog-1.0rc2/configure	2002-08-20 23:20:08.000000000 +0800
+++ gtktalog-1.0rc2-cygwin/configure	2002-12-20 16:38:32.000000000 +0800
@@ -4012,7 +4012,8 @@ EOF
       else $CC -o impgen impgen.c ; fi)~
       $output_objdir/impgen $dir/$soroot > $output_objdir/$soname-def'
 
-    old_archive_from_expsyms_cmds='$DLLTOOL --as=$AS --dllname $soname --def $output_objdir/$soname-def --output-lib $output_objdir/$newlib'
+    #old_archive_from_expsyms_cmds='$DLLTOOL --as=$AS --dllname $soname --def $output_objdir/$soname-def --output-lib $output_objdir/$newlib'
+    old_archive_from_expsyms_cmds=
 
     # cygwin and mingw dlls have different entry points and sets of symbols
     # to exclude.
@@ -5857,7 +5858,8 @@ old_postuninstall_cmds=$lt_old_postunins
 old_archive_from_new_cmds=$lt_old_archive_from_new_cmds
 
 # Create a temporary old-style archive to link instead of a shared archive.
-old_archive_from_expsyms_cmds=$lt_old_archive_from_expsyms_cmds
+#old_archive_from_expsyms_cmds=$lt_old_archive_from_expsyms_cmds
+old_archive_from_expsyms_cmds=
 
 # Commands used to build and install a shared archive.
 archive_cmds=$lt_archive_cmds
diff -urp gtktalog-1.0rc2/src/gtktalog/addisk.c gtktalog-1.0rc2-cygwin/src/gtktalog/addisk.c
--- gtktalog-1.0rc2/src/gtktalog/addisk.c	2002-08-04 02:15:44.000000000 +0800
+++ gtktalog-1.0rc2-cygwin/src/gtktalog/addisk.c	2002-12-20 16:38:32.000000000 +0800
@@ -144,7 +144,7 @@ du_s (gchar * path)
 	   * in order not to have error messages on the console
 	   */
 	  argsdu[0] = g_strdup ("du");
-#if defined(OS_LINUX)
+#if defined(OS_LINUX) || defined(__CYGWIN__)
 	  argsdu[1] = g_strdup ("-sb");
 #elif defined(OS_FREEBSD) || defined(OS_NETBSD) || defined(OS_OPENBSD) || defined(OS_PPC_DARWIN)
 	  argsdu[1] = g_strdup ("-s");
diff -urp gtktalog-1.0rc2/src/gtktalog/config_parse.c gtktalog-1.0rc2-cygwin/src/gtktalog/config_parse.c
--- gtktalog-1.0rc2/src/gtktalog/config_parse.c	2002-08-20 23:22:08.000000000 +0800
+++ gtktalog-1.0rc2-cygwin/src/gtktalog/config_parse.c	2002-12-20 16:38:32.000000000 +0800
@@ -81,6 +81,9 @@
 #include "addisk.h"
 #include "io.h"
 #include "setup.h"
+#ifdef __CYGWIN__
+#include <mntent.h>
+#endif
 #if (defined(OS_LINUX) || defined(__APPLE__) || defined(OS_FREEBSD) || defined(OS_NETBSD) || defined(OS_OPENBSD))
 #if defined(HAVE_GETFSENT)
 #include <fstab.h>
diff -urp gtktalog-1.0rc2/src/gtktalog/config_parse.y gtktalog-1.0rc2-cygwin/src/gtktalog/config_parse.y
--- gtktalog-1.0rc2/src/gtktalog/config_parse.y	2002-08-20 23:00:36.000000000 +0800
+++ gtktalog-1.0rc2-cygwin/src/gtktalog/config_parse.y	2002-12-20 16:40:24.000000000 +0800
@@ -30,6 +30,9 @@
 #include "addisk.h"
 #include "io.h"
 #include "setup.h"
+#ifdef __CYGWIN__
+#include <mntent.h>
+#endif
 #if (defined(OS_LINUX) || defined(__APPLE__) || defined(OS_FREEBSD) || defined(OS_NETBSD) || defined(OS_OPENBSD))
 #if defined(HAVE_GETFSENT)
 #include <fstab.h>
diff -urp gtktalog-1.0rc2/src/gtktalog/progressbar.h gtktalog-1.0rc2-cygwin/src/gtktalog/progressbar.h
--- gtktalog-1.0rc2/src/gtktalog/progressbar.h	2002-03-31 13:39:06.000000000 +0800
+++ gtktalog-1.0rc2-cygwin/src/gtktalog/progressbar.h	2002-12-20 16:38:32.000000000 +0800
@@ -20,7 +20,7 @@
 #define __PROGRESS_H__
 
 #include <config.h>
-#ifdef OS_LINUX
+#if defined(OS_LINUX) || defined(__CYGWIN__) 
 #  include <sys/vfs.h>
 #endif
 #if defined(OS_FREEBSD) || defined(OS_NETBSD) || defined(OS_OPENBSD)
diff -urp gtktalog-1.0rc2/src/plugins/Makefile.in gtktalog-1.0rc2-cygwin/src/plugins/Makefile.in
--- gtktalog-1.0rc2/src/plugins/Makefile.in	2002-08-20 23:43:52.000000000 +0800
+++ gtktalog-1.0rc2-cygwin/src/plugins/Makefile.in	2002-12-20 15:56:48.000000000 +0800
@@ -184,7 +184,8 @@ l = @l@
 localedir = @localedir@
 
 plugindir = $(libdir)/gtktalog
-plugin_PROGRAMS = @PLUGIN_HTMLTITLE@ @PLUGIN_MP3INFO@ @PLUGIN_MODINFO@ @PLUGIN_AVIINFO@
+plugin_PROGRAMS =  @PLUGIN_HTMLTITLE@$(EXEEXT) @PLUGIN_MP3INFO@$(EXEEXT) @PLUGIN_MODINFO@$(EXEEXT) \
+@PLUGIN_AVIINFO@$(EXEEXT)
 EXTRA_PROGRAMS = htmltitle mp3info modinfo aviinfo
 
 plugin_SCRIPTS = @PLUGIN_MPEGINFO@
